using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {	




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Security Guard",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Private security team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon17.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("guard.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );			
		
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );



		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 5",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 6",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 7",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam7.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) SWAT 8",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "City SWAT Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ateam8.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Hostage Rescue 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Generic Hostage Rescue Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bteam1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Hostage Rescue 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Generic Hostage Rescue Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bteam2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Hostage Rescue 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Generic Hostage Rescue Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bteam3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Hostage Rescue 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Generic Hostage Rescue Team.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bteam4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Natl. Guard 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "State operated army.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("metroforce1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Natl. Guard 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "State operated army.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("metroforce2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );


			

			

		
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Black Cap Variant 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A simple baseball cap.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("blackcap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Blue Cap Variant 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A simple baseball cap.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bluecap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Black Cap Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A simple baseball cap.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("blackcapphones.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Blue Cap Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A simple baseball cap.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bluecapphones.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );



			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) SWAT Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The standard helmet for SWAT teams.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mhelmet1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) SWAT Helmet (Goggles)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The standard helmet for SWAT teams.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mhelmet2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) SWAT Vest Top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SWAT Vest",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon11.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vest1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) SWAT Vest Bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "STAT Vest",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon12.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vest2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) Patrol Pistol",
                 DescriptionOverride = "A plastic-framed 9mm pistol.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon13.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("patrolpistol.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smallpistol.wav"),
                     };
                 }
             }
             ); ; 

			 
			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(BANK) Tactical Submachine Gun",
                 DescriptionOverride = "Very modular and easy to use.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon14.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tacsmg.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(BANK) Tactical Submachine Gun (Foregrip)",
                 DescriptionOverride = "Very modular and easy to use.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon15.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tacsmg2.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;

			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "(BANK) Tactical Shotgun",
                 DescriptionOverride = "Good weapon for breaching and riot control.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon16.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tacshotgun.png", 9f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pumpaction.wav"),
                     };
                 }
             }
             ); ;




			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "(BANK) Tactical Shotgun (Folded)",
                 DescriptionOverride = "Good weapon for breaching and riot control.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon16.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tacshotgun2.png", 9f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pumpaction.wav"),
                     };
                 }
             }
             ); ;


























































		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Suit) 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very professional looking.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("suit1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );	




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Suit) 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very proffesional looking.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("suit2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );	





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Suit) 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very professional looking.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("suit3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );	




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Suit) 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very proffesional looking.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("suit4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Tactical) 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Cool surplus gear.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("surplus1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );	





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Tactical) 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Cool surplus gear.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("surplus2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Tactical) 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Cool surplus gear.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("surplus3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );	





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Tactical) 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Cool surplus gear.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("surplus4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Coveralls) 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "All business.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon20.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("coveralls1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Coveralls) 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "All business.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon20.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("coveralls2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );







		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Coveralls) 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "All business.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon20.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("coveralls3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(BANK) Bank Robber (Coveralls) 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "All business.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon20.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("coveralls4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );


			

			

		
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Classic Shades",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "B)",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon22.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shades2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Round Shades",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "8)",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon21.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shades1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Bullet-Proof Vest Top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Widely available bullet-resistant vest. Relatively light and economical.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon23.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bulletproofvest1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(BANK) Bullet-Proof Vest Bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Widely available bullet-resistant vest. Relatively light and economical.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon24.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bulletproofvest2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) .44 Revolver",
                 DescriptionOverride = "Heavy and hard to control, but powerful.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon25.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("44revolver.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/marksmanrifle.wav"),
                     };
                 }
             }
             ); ; 





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) .44 Revolver (Compact)",
                 DescriptionOverride = "Heavy and hard to control, but powerful.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon26.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("44revolvercompact.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/marksmanrifle.wav"),
                     };
                 }
             }
             ); ;





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) Auto-Pistol",
                 DescriptionOverride = "POP POP POP POP POP POP POP POP POP POP POP",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon27.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("autopistol.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.145f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) Auto-Pistol (Compact)",
                 DescriptionOverride = "POP POP POP POP POP POP POP POP POP POP POP",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon28.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("autopistolcompact.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.145f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(BANK) Auto-Pistol (Suppressor)",
                 DescriptionOverride = "POP POP PO- oh, wait, I mean- pop pop pop pop pop pop pop",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon29.png", 23f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("autopistolsuppressed.png",22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.145f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/supressor.mp3"),
                     };
                 }
             }
             ); ;

			 
			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "(BANK) Compact Shotgun",
                 DescriptionOverride = "Small but strong.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon30.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pumpshotgun.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pumpaction.wav"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "(BANK) Compact Shotgun (Foregrip)",
                 DescriptionOverride = "Small but strong.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon32.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pumpshotgungrip.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pumpaction.wav"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "(BANK) Compact Shotgun (Classic)",
                 DescriptionOverride = "Small but strong.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon31.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pumpshotgunclassic.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pumpaction.wav"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(BANK) Soviet Assault Rifle",
                 DescriptionOverride = "Old and reliable. It's been used since the 50's, and still stands up to some modern weaponry standards.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon33.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sovietrifle.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.135f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/rifle.mp3"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(BANK) Army Machine Gun",
                 DescriptionOverride = "Iconic Vietnam-era machine gun.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon34.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("surplusmg.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.147f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/mg.mp3"),
                     };
                 }
             }
             ); ;





			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(BANK) Army Machine Gun (Belt)",
                 DescriptionOverride = "Iconic Vietnam-era machine gun.",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon35.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("surplusmgbelt.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.147f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/mg.mp3"),
                     };
                 }
             }
             ); ;
			

        } 
    }
	
}